澳门皇冠金沙网站-澳门皇冠844网站

热门关键词: 澳门皇冠金沙网站,澳门皇冠844网站

UnsupportedClassVersionError之Android Studio

图片 1buildtoolversion.jpg

classpath 'com.android.tools.build:gradle:2.1.0-rc1'

通用配置:

设若项目有多少个module的时候 ,大家得以在档期的顺序的根目录下的 build.gradle 文件中配 subprojects;

图片 2

手拉手引用


百度、谷歌之,得知是因为JDK的版本不对应的主题素材导致的。查看本身的studio的JDK路线设置:

图.jpg

着力本性:

defaultConfig方法满含了该app的宗旨属性,该属性会重写在AndroidManifest.xml中的对应属性。

defaultConfig {     

    applicationId "com.gradleforandroid.gettingstarted"

    minSdkVersion 14

    targetSdkVersion 22

    versionCode 1

    versionName "1.0"

}

首先个天性是applicationId,该属性复写了AndroidManifest文件中的包名package

name,可是至于applicationId和package

name有部分见仁见智。在gradle被用来作为Android塑造筑工程具在此之前,package

name在AndroidManifest.xml有八个职能:其用作三个app的独一标示,并且其被用在了奥迪Q5能源文件的包名。


此处大家将buildToolsVersion版本改低,产生buildToolsVersion '23.0.3'。然后,编写翻译就通过了!!!

https://developer.android.com/studio/releases/gradle-plugin.html

build.gradle的配置:

java语言相关:

javaVersion = 8

javaMaxHeapSize = '4G'

java马克斯HeapSize = '4G '  表示 java虚构机的堆内部存款和储蓄器大小4G。日常录制直播类应用程式都会用到;

Android编写翻译版本相关:

compileSdkVersion = 23

buildToolsVersion = ' 23.3. 0'

minSdkVersion = 16

targetSdkVersion = 23

compileSdkVersion:  代表你的编译版本 ,正是运营我们以此项目标内需的android SDK版本;

buildToolsVersion :  Android创设筑工程具的本子,在那之中囊括了包装工具aapt、dx等;

minSdkVersion :  便是小小的的 SDK 版本;

targetSdkVersion :  应用的特别情势 , 要是设置了此属性,那么在程序实行时,假若指标设备的API版本正好等于此数值,此程序不会敞开宽容性检查剖断的干活,targetSdkVersion与指标设备的API版本一样不经常间,运转效能大概会高级中学一年级些。

模糊相关:

minifyEnable = true

zipAlignEnabled = true

shrinkResources  = true

minifyEnable = true : 开启混淆;

zipAlignEnabled = true : 混淆后的zip优化,默感到true,可不写。当不显得配置为true时,不会生成unaligned.apk;

shrinkResources  = true :  移除无用的resource文件;

JDK版本包容: 

图片 3

JDK版本宽容


图片 4jdk_path.jpg

编写翻译出现该难题大概是近期选拔的gradle 版本有正式版本公布,

arr函数库的援引:

arr是Android studio中初露引进的一个簇新的文件类型 ,它实质正是两个减去包 , 里面蕴涵了jar文件和Android 相关的财富;

图片 5

为了能在工程中的libs目录中找到当中的aar文件

图片 6

增添aar文件正视配置


本文由澳门皇冠金沙网站发布于编辑程序,转载请注明出处:UnsupportedClassVersionError之Android Studio